curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/pois \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/pois"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/pois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/local/pois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/local/pois"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/local/pois")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/local/pois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"provider_url": "<string>",
"title": "<string>",
"url": "<string>",
"action": {
"type": "<string>",
"url": "<string>"
},
"categories": [],
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"coordinates": {
"[0]": 123,
"[1]": 123
},
"description": "",
"distance": {
"units": "<string>",
"value": 123
},
"family_friendly": true,
"fetched_content_timestamp": 123,
"icon_category": "<string>",
"id": "<string>",
"is_source_both": false,
"is_source_local": false,
"language": "<string>",
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"closes": "<string>",
"full_name": "<string>",
"opens": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"closes": "<string>",
"full_name": "<string>",
"opens": "<string>"
}
]
]
},
"page_age": "<string>",
"page_fetched": "<string>",
"pictures": {
"results": [
{
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
}
],
"viewMoreUrl": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"addressLocality": "<string>",
"addressRegion": "<string>",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"type": "PostalAddress"
},
"price_range": "<string>",
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>",
"type": "external"
}
],
"rating": {
"bestRating": 123,
"ratingValue": 1,
"is_tripadvisor": false,
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"reviewCount": 123
},
"results": [
{
"meta_url": {
"favicon": "<string>",
"netloc": "<string>",
"path": "<string>",
"scheme": "<string>",
"hostname": "<string>"
},
"title": "<string>",
"url": "<string>",
"description": "",
"family_friendly": true,
"fetched_content_timestamp": 123,
"is_source_both": false,
"is_source_local": false,
"language": "<string>",
"page_age": "<string>",
"page_fetched": "<string>",
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
}
}
],
"reviews": {
"results": [
{
"author": {
"name": "<string>",
"email": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
},
"type": "person",
"url": "<string>"
},
"date": "<string>",
"description": "<string>",
"language": "<string>",
"rating": {
"bestRating": 123,
"ratingValue": 1,
"is_tripadvisor": false,
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"reviewCount": 123
},
"review_url": "<string>",
"title": "<string>"
}
],
"reviews_in_foreign_language": true,
"viewMoreUrl": "<string>"
},
"serves_cuisine": [
"<string>"
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
},
"timezone": "<string>",
"timezone_offset": 123,
"type": "location_result",
"zoom_level": 7
}
],
"type": "local_pois"
}Local POIs
curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/pois \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/pois"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/pois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/local/pois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/local/pois"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/local/pois")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/local/pois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"provider_url": "<string>",
"title": "<string>",
"url": "<string>",
"action": {
"type": "<string>",
"url": "<string>"
},
"categories": [],
"contact": {
"email": "<string>",
"telephone": "<string>"
},
"coordinates": {
"[0]": 123,
"[1]": 123
},
"description": "",
"distance": {
"units": "<string>",
"value": 123
},
"family_friendly": true,
"fetched_content_timestamp": 123,
"icon_category": "<string>",
"id": "<string>",
"is_source_both": false,
"is_source_local": false,
"language": "<string>",
"opening_hours": {
"current_day": [
{
"abbr_name": "<string>",
"closes": "<string>",
"full_name": "<string>",
"opens": "<string>"
}
],
"days": [
[
{
"abbr_name": "<string>",
"closes": "<string>",
"full_name": "<string>",
"opens": "<string>"
}
]
]
},
"page_age": "<string>",
"page_fetched": "<string>",
"pictures": {
"results": [
{
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
}
],
"viewMoreUrl": "<string>"
},
"postal_address": {
"displayAddress": "<string>",
"addressLocality": "<string>",
"addressRegion": "<string>",
"country": "<string>",
"postalCode": "<string>",
"streetAddress": "<string>",
"type": "PostalAddress"
},
"price_range": "<string>",
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"profiles": [
{
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>",
"type": "external"
}
],
"rating": {
"bestRating": 123,
"ratingValue": 1,
"is_tripadvisor": false,
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"reviewCount": 123
},
"results": [
{
"meta_url": {
"favicon": "<string>",
"netloc": "<string>",
"path": "<string>",
"scheme": "<string>",
"hostname": "<string>"
},
"title": "<string>",
"url": "<string>",
"description": "",
"family_friendly": true,
"fetched_content_timestamp": 123,
"is_source_both": false,
"is_source_local": false,
"language": "<string>",
"page_age": "<string>",
"page_fetched": "<string>",
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
}
}
],
"reviews": {
"results": [
{
"author": {
"name": "<string>",
"email": "<string>",
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
},
"type": "person",
"url": "<string>"
},
"date": "<string>",
"description": "<string>",
"language": "<string>",
"rating": {
"bestRating": 123,
"ratingValue": 1,
"is_tripadvisor": false,
"profile": {
"name": "<string>",
"url": "<string>",
"img": "<string>",
"long_name": "<string>"
},
"reviewCount": 123
},
"review_url": "<string>",
"title": "<string>"
}
],
"reviews_in_foreign_language": true,
"viewMoreUrl": "<string>"
},
"serves_cuisine": [
"<string>"
],
"thumbnail": {
"src": "<string>",
"alt": "<string>",
"bg_color": "<string>",
"duplicated": true,
"height": 123,
"logo": true,
"original": "<string>",
"theme": "<string>",
"width": 123
},
"timezone": "<string>",
"timezone_offset": 123,
"type": "location_result",
"zoom_level": 7
}
],
"type": "local_pois"
}Request contract
- Method and path: GET /apis/v1/brave/local/pois
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/brave/local/pois
- accept: header; optional
- api-version: header; optional
- cache-control: header; optional
- user-agent: header; optional
- x-loc-lat: header; optional
- x-loc-long: header; optional
- ids: query; required
- search_lang: query; optional
- ui_lang: query; optional
- units: query; optional
- Runtime facts: 8627d7bc05db287888574873d586ce7dca25f9fa7b4a266cb71760e824597bfc
{
"operationId": "any_brave_search_apis_v1_brave_local_pois",
"method": "GET",
"path": "/apis/v1/brave/local/pois",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"deprecated": false,
"description": "The default supported media type is application/json.",
"examples": {
"0": {
"value": "application/json"
}
},
"in": "header",
"name": "accept",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"application/json",
"*/*"
],
"title": "Accept",
"type": "string"
},
{
"default": "application/json"
}
],
"description": "The default supported media type is application/json.",
"examples": [
"application/json"
],
"title": "Media type"
}
},
{
"deprecated": false,
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>.",
"in": "header",
"name": "api-version",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>.",
"title": "API version"
}
},
{
"deprecated": false,
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort.",
"in": "header",
"name": "cache-control",
"required": false,
"schema": {
"anyOf": [
{
"const": "no-cache",
"enum": [
"no-cache"
],
"title": "CacheControl",
"type": "string"
},
{
"type": "null"
}
],
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort.",
"title": "Cache control"
}
},
{
"deprecated": false,
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>.",
"examples": {
"Android": {
"description": "Android",
"value": "Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36"
},
"Windows": {
"description": "Windows",
"value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36"
},
"iOS": {
"description": "iOS",
"value": "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1"
},
"macOS": {
"description": "macOS",
"value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36"
}
},
"in": "header",
"name": "user-agent",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>.",
"title": "User agent"
}
},
{
"deprecated": false,
"description": "The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.",
"in": "header",
"name": "x-loc-lat",
"required": false,
"schema": {
"anyOf": [
{
"maximum": 90,
"minimum": -90,
"type": "number"
},
{
"type": "null"
}
],
"description": "The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.",
"title": "X-Loc-Lat"
}
},
{
"deprecated": false,
"description": "The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.",
"in": "header",
"name": "x-loc-long",
"required": false,
"schema": {
"anyOf": [
{
"maximum": 180,
"minimum": -180,
"type": "number"
},
{
"type": "null"
}
],
"description": "The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.",
"title": "X-Loc-Long"
}
},
{
"deprecated": false,
"description": "A list of unique identifiers for the location. The ids are valid only for 8 hours.",
"in": "query",
"name": "ids",
"required": true,
"schema": {
"description": "A list of unique identifiers for the location. The ids are valid only for 8 hours.",
"items": {
"type": "string"
},
"maxItems": 20,
"minItems": 1,
"title": "Ids",
"type": "array"
}
},
{
"deprecated": false,
"description": "The search language preference. The 2 or more character language code for which the search results are provided.",
"in": "query",
"name": "search_lang",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"ar",
"eu",
"bn",
"bg",
"ca",
"zh-hans",
"zh-hant",
"hr",
"cs",
"da",
"nl",
"en",
"en-gb",
"et",
"fi",
"fr",
"gl",
"de",
"el",
"gu",
"he",
"hi",
"hu",
"is",
"it",
"ja",
"jp",
"kn",
"ko",
"lv",
"lt",
"ms",
"ml",
"mr",
"nb",
"pl",
"pt-br",
"pt-pt",
"pa",
"ro",
"ru",
"sr",
"sk",
"sl",
"es",
"sv",
"ta",
"te",
"th",
"tr",
"uk",
"vi"
],
"title": "Language",
"type": "string"
},
{
"default": "en"
}
],
"description": "The search language preference. The 2 or more character language code for which the search results are provided."
}
},
{
"deprecated": false,
"description": "User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-accept-language\">RFC 9110</a>.",
"in": "query",
"name": "ui_lang",
"required": false,
"schema": {
"allOf": [
{
"enum": [
"es-AR",
"en-AU",
"de-AT",
"nl-BE",
"fr-BE",
"pt-BR",
"en-CA",
"fr-CA",
"es-CL",
"da-DK",
"fi-FI",
"fr-FR",
"de-DE",
"el-GR",
"zh-HK",
"en-IN",
"en-ID",
"it-IT",
"ja-JP",
"ko-KR",
"en-MY",
"es-MX",
"nl-NL",
"en-NZ",
"no-NO",
"zh-CN",
"pl-PL",
"en-PH",
"ru-RU",
"en-ZA",
"es-ES",
"sv-SE",
"fr-CH",
"de-CH",
"zh-TW",
"tr-TR",
"en-GB",
"en-US",
"es-US"
],
"title": "MarketCodes",
"type": "string"
},
{
"default": "en-US"
}
],
"description": "User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-accept-language\">RFC 9110</a>."
}
},
{
"deprecated": false,
"description": "<p>The measurement units. The following values are supported:</p>\n<ul>\n<li><strong>metric</strong> - The standardized measurement system (km, celcius…)</li>\n<li><strong>imperial</strong> - The British Imperial system of units (mile, fahrenheit…)</li>\n</ul>",
"examples": {
"Imperial units": {
"value": "imperial"
},
"Metric units": {
"value": "metric"
}
},
"in": "query",
"name": "units",
"required": false,
"schema": {
"anyOf": [
{
"enum": [
"imperial",
"metric"
],
"title": "MeasurementUnit",
"type": "string"
},
{
"type": "null"
}
],
"description": "<p>The measurement units. The following values are supported:</p>\n<ul>\n<li><strong>metric</strong> - The standardized measurement system (km, celcius…)</li>\n<li><strong>imperial</strong> - The British Imperial system of units (mile, fahrenheit…)</li>\n</ul>",
"title": "Units"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.005,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.005 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.005
- Cost contract: fixed_success
- Published reference multiplier: 1.0
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.
-90 <= x <= 90The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.
-180 <= x <= 180Query Parameters
A list of unique identifiers for the location. The ids are valid only for 8 hours.
1 - 20 elementsThe search language preference. The 2 or more character language code for which the search results are provided.
ar, eu, bn, bg, ca, zh-hans, zh-hant, hr, cs, da, nl, en, en-gb, et, fi, fr, gl, de, el, gu, he, hi, hu, is, it, ja, jp, kn, ko, lv, lt, ms, ml, mr, nb, pl, pt-br, pt-pt, pa, ro, ru, sr, sk, sl, es, sv, ta, te, th, tr, uk, vi User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.
es-AR, en-AU, de-AT, nl-BE, fr-BE, pt-BR, en-CA, fr-CA, es-CL, da-DK, fi-FI, fr-FR, de-DE, el-GR, zh-HK, en-IN, en-ID, it-IT, ja-JP, ko-KR, en-MY, es-MX, nl-NL, en-NZ, no-NO, zh-CN, pl-PL, en-PH, ru-RU, en-ZA, es-ES, sv-SE, fr-CH, de-CH, zh-TW, tr-TR, en-GB, en-US, es-US The measurement units. The following values are supported:
- metric - The standardized measurement system (km, celcius…)
- imperial - The British Imperial system of units (mile, fahrenheit…)
imperial, metric